PHING(1)

NAME
phing - PHing command line interface

SYNOPSIS
phing [options] [target [target2 [target3] ...]]

OPTIONS

-h -help
    print this message

-l -list
    list available targets in this project

-v -version
    print the version information and exit

-q -quiet
    be extra quiet

-S -silent
    print nothing but task outputs and build failures

-verbose
    be extra verbose

-debug
    print debugging information

-emacs, -e
    produce logging information without adornments

-diagnostics
    print diagnostics information

-longtargets
    show target descriptions during build

-logfile <file>
    use given file for log

-logger <classname>
    the class which is to perform logging

-listener <classname>
    add an instance of class as a project listener

-f -buildfile <file>
    use given buildfile

-D<property>=<value>
    use value for given property

-keep-going, -k
    execute all targets that do not depend on failed target(s)

-propertyfile <file>
    load all properties from file

-propertyfileoverride
    values in property file override existing values

-find <file>
    search for buildfile towards the root of the filesystem and use it

-inputhandler <file>
    the class to use to handle user input

REPORTING BUGS
Report bugs to <dev@phing.tigris.org>